geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jsis...@apache.org
Subject svn commit: r368017 - in /geronimo/trunk/assemblies: j2ee-jetty-server/project.xml j2ee-tomcat-server/project.xml
Date Wed, 11 Jan 2006 12:40:11 GMT
Author: jsisson
Date: Wed Jan 11 04:39:59 2006
New Revision: 368017

URL: http://svn.apache.org/viewcvs?rev=368017&view=rev
Log:
GERONIMO-1441 - comment out, consolidate or remove duplicate dependencies that cause "Build
path contains duplicate entry" errors in eclipse 3.1.1 projects. (merge of changes from 1.0
branch)

Modified:
    geronimo/trunk/assemblies/j2ee-jetty-server/project.xml
    geronimo/trunk/assemblies/j2ee-tomcat-server/project.xml

Modified: geronimo/trunk/assemblies/j2ee-jetty-server/project.xml
URL: http://svn.apache.org/viewcvs/geronimo/trunk/assemblies/j2ee-jetty-server/project.xml?rev=368017&r1=368016&r2=368017&view=diff
==============================================================================
--- geronimo/trunk/assemblies/j2ee-jetty-server/project.xml (original)
+++ geronimo/trunk/assemblies/j2ee-jetty-server/project.xml Wed Jan 11 04:39:59 2006
@@ -71,7 +71,7 @@
                 <geronimo.assemble>install</geronimo.assemble>
             </properties>
         </dependency>
-        <dependency>
+         <dependency>
             <groupId>geronimo</groupId>
             <artifactId>openejb</artifactId>
             <type>car</type>
@@ -437,6 +437,7 @@
             <version>${geronimo_spec_qname_version}</version>
             <properties>
                 <geronimo.assemble>library</geronimo.assemble>
+                <geronimo.assemble>repository</geronimo.assemble>
             </properties>
         </dependency>
 
@@ -506,6 +507,7 @@
             <version>${geronimo_spec_j2ee_deployment_version}</version>
             <properties>
                 <geronimo.assemble>library</geronimo.assemble>
+                <geronimo.assemble>repository</geronimo.assemble>
             </properties>
         </dependency>
         <dependency>
@@ -517,14 +519,16 @@
             </properties>
         </dependency>
 
-        <dependency>
-            <groupId>geronimo</groupId>
-            <artifactId>geronimo-deploy-tool</artifactId>
-            <version>${pom.currentVersion}</version>
-            <properties>
-                <geronimo.assemble>library</geronimo.assemble>
-            </properties>
-        </dependency>
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>geronimo</groupId>
+        #    <artifactId>geronimo-deploy-tool</artifactId>
+        #    <version>${pom.currentVersion}</version>
+        #    <properties>
+        #        <geronimo.assemble>library</geronimo.assemble>
+        #    </properties>
+        #</dependency>
+        -->
 
         <dependency>
             <groupId>geronimo</groupId>
@@ -663,14 +667,16 @@
                 <geronimo.assemble>repository</geronimo.assemble>
             </properties>
         </dependency>
-        <dependency>
-            <groupId>org.apache.geronimo.specs</groupId>
-            <artifactId>geronimo-j2ee-deployment_1.1_spec</artifactId>
-            <version>${geronimo_spec_j2ee_deployment_version}</version>
-            <properties>
-                <geronimo.assemble>repository</geronimo.assemble>
-            </properties>
-        </dependency>
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>org.apache.geronimo.specs</groupId>
+        #    <artifactId>geronimo-j2ee-deployment_1.1_spec</artifactId>
+        #    <version>${geronimo_spec_j2ee_deployment_version}</version>
+        #    <properties>
+        #        <geronimo.assemble>repository</geronimo.assemble>
+        #    </properties>
+        #</dependency>
+        -->
         <dependency>
             <groupId>org.apache.geronimo.specs</groupId>
             <artifactId>geronimo-j2ee-jacc_1.0_spec</artifactId>
@@ -735,14 +741,16 @@
                 <geronimo.assemble>repository</geronimo.assemble>
             </properties>
         </dependency>
-        <dependency>
-            <groupId>org.apache.geronimo.specs</groupId>
-            <artifactId>geronimo-qname_1.1_spec</artifactId>
-            <version>${geronimo_spec_qname_version}</version>
-            <properties>
-                <geronimo.assemble>repository</geronimo.assemble>
-            </properties>
-        </dependency>
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>org.apache.geronimo.specs</groupId>
+        #    <artifactId>geronimo-qname_1.1_spec</artifactId>
+        #    <version>${geronimo_spec_qname_version}</version>
+        #    <properties>
+        #        <geronimo.assemble>repository</geronimo.assemble>
+        #    </properties>
+        #</dependency>
+        -->
         <dependency>
             <groupId>org.apache.geronimo.specs</groupId>
             <artifactId>geronimo-saaj_1.1_spec</artifactId>
@@ -1033,12 +1041,6 @@
         </dependency>
         <dependency>
             <groupId>tomcat</groupId>
-            <artifactId>catalina</artifactId>
-            <version>${tomcat_version}</version>
-            <url>http://jakarta.apache.org/tomcat/</url>
-        </dependency>
-        <dependency>
-            <groupId>tomcat</groupId>
             <artifactId>catalina-optional</artifactId>
             <version>${tomcat_version}</version>
             <url>http://jakarta.apache.org/tomcat/</url>
@@ -1186,35 +1188,46 @@
         </dependency>
 
         <!-- Specification dependencies to preload into the repository -->
-        <dependency>
-            <groupId>org.apache.geronimo.specs</groupId>
-            <artifactId>geronimo-j2ee_1.4_spec</artifactId>
-            <version>${geronimo_spec_j2ee_version}</version>
-        </dependency>
-
-        <dependency>
-            <groupId>org.apache.geronimo.specs</groupId>
-            <artifactId>geronimo-j2ee-jacc_1.0_spec</artifactId>
-            <version>${geronimo_spec_j2ee_jacc_version}</version>
-        </dependency>
-
-        <dependency>
-            <groupId>org.apache.geronimo.specs</groupId>
-            <artifactId>geronimo-activation_1.0.2_spec</artifactId>
-            <version>${geronimo_spec_activation_version}</version>
-        </dependency>
-
-        <dependency>
-            <groupId>org.apache.geronimo.specs</groupId>
-            <artifactId>geronimo-javamail_1.3.1_spec</artifactId>
-            <version>${geronimo_spec_javamail_version}</version>
-        </dependency>
-
-        <dependency>
-            <groupId>org.apache.geronimo.specs</groupId>
-            <artifactId>geronimo-corba_2.3_spec</artifactId>
-            <version>${geronimo_spec_corba_version}</version>
-        </dependency>
+        
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>org.apache.geronimo.specs</groupId>
+        #    <artifactId>geronimo-j2ee_1.4_spec</artifactId>
+        #    <version>${geronimo_spec_j2ee_version}</version>
+        #</dependency>
+        -->
+
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>org.apache.geronimo.specs</groupId>
+        #    <artifactId>geronimo-j2ee-jacc_1.0_spec</artifactId>
+        #    <version>${geronimo_spec_j2ee_jacc_version}</version>
+        #</dependency>
+        -->
+
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>org.apache.geronimo.specs</groupId>
+        #    <artifactId>geronimo-activation_1.0.2_spec</artifactId>
+        #    <version>${geronimo_spec_activation_version}</version>
+        #</dependency>
+        -->
+
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>org.apache.geronimo.specs</groupId>
+        #    <artifactId>geronimo-javamail_1.3.1_spec</artifactId>
+        #    <version>${geronimo_spec_javamail_version}</version>
+        #</dependency>
+        -->
+
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>org.apache.geronimo.specs</groupId>
+        #    <artifactId>geronimo-corba_2.3_spec</artifactId>
+        #    <version>${geronimo_spec_corba_version}</version>
+        #</dependency>
+        -->
 
         <!-- Geronimo modules to preload into the repository -->
         <dependency>
@@ -1347,11 +1360,13 @@
             <artifactId>geronimo-transaction</artifactId>
             <version>${pom.currentVersion}</version>
         </dependency>
-        <dependency>
-            <groupId>geronimo</groupId>
-            <artifactId>geronimo-util</artifactId>
-            <version>${pom.currentVersion}</version>
-        </dependency>
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>geronimo</groupId>
+        #    <artifactId>geronimo-util</artifactId>
+        #    <version>${pom.currentVersion}</version>
+        #</dependency>
+        -->
         <dependency>
             <groupId>geronimo</groupId>
             <artifactId>geronimo-web-builder</artifactId>

Modified: geronimo/trunk/assemblies/j2ee-tomcat-server/project.xml
URL: http://svn.apache.org/viewcvs/geronimo/trunk/assemblies/j2ee-tomcat-server/project.xml?rev=368017&r1=368016&r2=368017&view=diff
==============================================================================
--- geronimo/trunk/assemblies/j2ee-tomcat-server/project.xml (original)
+++ geronimo/trunk/assemblies/j2ee-tomcat-server/project.xml Wed Jan 11 04:39:59 2006
@@ -152,7 +152,7 @@
                 <geronimo.assemble>install</geronimo.assemble>
             </properties>
         </dependency>
-<!--client-->
+<!-- client -->
         <dependency>
             <groupId>geronimo</groupId>
             <artifactId>client-system</artifactId>
@@ -427,6 +427,7 @@
             <version>${geronimo_spec_qname_version}</version>
             <properties>
                 <geronimo.assemble>library</geronimo.assemble>
+                <geronimo.assemble>repository</geronimo.assemble>
             </properties>
         </dependency>
 
@@ -477,8 +478,6 @@
             </properties>
         </dependency>
 
-
-
 <!--tools -->
         <dependency>
             <groupId>geronimo</groupId>
@@ -498,6 +497,7 @@
             <version>${geronimo_spec_j2ee_deployment_version}</version>
             <properties>
                 <geronimo.assemble>library</geronimo.assemble>
+                <geronimo.assemble>repository</geronimo.assemble>
             </properties>
         </dependency>
         <dependency>
@@ -509,14 +509,16 @@
             </properties>
         </dependency>
 
-        <dependency>
-            <groupId>geronimo</groupId>
-            <artifactId>geronimo-deploy-tool</artifactId>
-            <version>${pom.currentVersion}</version>
-            <properties>
-                <geronimo.assemble>library</geronimo.assemble>
-            </properties>
-        </dependency>
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>geronimo</groupId>
+        #    <artifactId>geronimo-deploy-tool</artifactId>
+        #    <version>${pom.currentVersion}</version>
+        #    <properties>
+        #        <geronimo.assemble>library</geronimo.assemble>
+        #    </properties>
+        #</dependency>
+        -->
 
         <dependency>
             <groupId>geronimo</groupId>
@@ -655,14 +657,16 @@
                 <geronimo.assemble>repository</geronimo.assemble>
             </properties>
         </dependency>
-        <dependency>
-            <groupId>org.apache.geronimo.specs</groupId>
-            <artifactId>geronimo-j2ee-deployment_1.1_spec</artifactId>
-            <version>${geronimo_spec_j2ee_deployment_version}</version>
-            <properties>
-                <geronimo.assemble>repository</geronimo.assemble>
-            </properties>
-        </dependency>
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>org.apache.geronimo.specs</groupId>
+        #    <artifactId>geronimo-j2ee-deployment_1.1_spec</artifactId>
+        #    <version>${geronimo_spec_j2ee_deployment_version}</version>
+        #    <properties>
+        #        <geronimo.assemble>repository</geronimo.assemble>
+        #    </properties>
+        #</dependency>
+        -->
         <dependency>
             <groupId>org.apache.geronimo.specs</groupId>
             <artifactId>geronimo-j2ee-jacc_1.0_spec</artifactId>
@@ -727,14 +731,16 @@
                 <geronimo.assemble>repository</geronimo.assemble>
             </properties>
         </dependency>
-        <dependency>
-            <groupId>org.apache.geronimo.specs</groupId>
-            <artifactId>geronimo-qname_1.1_spec</artifactId>
-            <version>${geronimo_spec_qname_version}</version>
-            <properties>
-                <geronimo.assemble>repository</geronimo.assemble>
-            </properties>
-        </dependency>
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>org.apache.geronimo.specs</groupId>
+        #    <artifactId>geronimo-qname_1.1_spec</artifactId>
+        #    <version>${geronimo_spec_qname_version}</version>
+        #    <properties>
+        #        <geronimo.assemble>repository</geronimo.assemble>
+        #    </properties>
+        #</dependency>
+        -->
         <dependency>
             <groupId>org.apache.geronimo.specs</groupId>
             <artifactId>geronimo-saaj_1.1_spec</artifactId>
@@ -1020,12 +1026,6 @@
         </dependency>
         <dependency>
             <groupId>tomcat</groupId>
-            <artifactId>catalina</artifactId>
-            <version>${tomcat_version}</version>
-            <url>http://jakarta.apache.org/tomcat/</url>
-        </dependency>
-        <dependency>
-            <groupId>tomcat</groupId>
             <artifactId>catalina-optional</artifactId>
             <version>${tomcat_version}</version>
             <url>http://jakarta.apache.org/tomcat/</url>
@@ -1174,7 +1174,7 @@
             <version>${xfire_version}</version>
         </dependency>
 
-        <!-- for service mix and wadi -->
+        <!-- for wadi -->
         <dependency>
             <groupId>springframework</groupId>
             <artifactId>spring</artifactId>
@@ -1187,35 +1187,46 @@
         </dependency>
 
         <!-- Specification dependencies to preload into the repository -->
-        <dependency>
-            <groupId>org.apache.geronimo.specs</groupId>
-            <artifactId>geronimo-j2ee_1.4_spec</artifactId>
-            <version>${geronimo_spec_j2ee_version}</version>
-        </dependency>
-
-        <dependency>
-            <groupId>org.apache.geronimo.specs</groupId>
-            <artifactId>geronimo-j2ee-jacc_1.0_spec</artifactId>
-            <version>${geronimo_spec_j2ee_jacc_version}</version>
-        </dependency>
-
-        <dependency>
-            <groupId>org.apache.geronimo.specs</groupId>
-            <artifactId>geronimo-activation_1.0.2_spec</artifactId>
-            <version>${geronimo_spec_activation_version}</version>
-        </dependency>
-
-        <dependency>
-            <groupId>org.apache.geronimo.specs</groupId>
-            <artifactId>geronimo-javamail_1.3.1_spec</artifactId>
-            <version>${geronimo_spec_javamail_version}</version>
-        </dependency>
-
-        <dependency>
-            <groupId>org.apache.geronimo.specs</groupId>
-            <artifactId>geronimo-corba_2.3_spec</artifactId>
-            <version>${geronimo_spec_corba_version}</version>
-        </dependency>
+        
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>org.apache.geronimo.specs</groupId>
+        #    <artifactId>geronimo-j2ee_1.4_spec</artifactId>
+        #    <version>${geronimo_spec_j2ee_version}</version>
+        #</dependency>
+        -->
+
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>org.apache.geronimo.specs</groupId>
+        #    <artifactId>geronimo-j2ee-jacc_1.0_spec</artifactId>
+        #    <version>${geronimo_spec_j2ee_jacc_version}</version>
+        #</dependency>
+        -->
+
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>org.apache.geronimo.specs</groupId>
+        #    <artifactId>geronimo-activation_1.0.2_spec</artifactId>
+        #    <version>${geronimo_spec_activation_version}</version>
+        #</dependency>
+        -->
+
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>org.apache.geronimo.specs</groupId>
+        #    <artifactId>geronimo-javamail_1.3.1_spec</artifactId>
+        #    <version>${geronimo_spec_javamail_version}</version>
+        #</dependency>
+        -->
+
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>org.apache.geronimo.specs</groupId>
+        #    <artifactId>geronimo-corba_2.3_spec</artifactId>
+        #    <version>${geronimo_spec_corba_version}</version>
+        #</dependency>
+        -->
 
         <!-- Geronimo modules to preload into the repository -->
         <dependency>
@@ -1348,11 +1359,13 @@
             <artifactId>geronimo-transaction</artifactId>
             <version>${pom.currentVersion}</version>
         </dependency>
-        <dependency>
-            <groupId>geronimo</groupId>
-            <artifactId>geronimo-util</artifactId>
-            <version>${pom.currentVersion}</version>
-        </dependency>
+        <!-- duplicate dependency - commented out to avoid eclipse project errors
+        #<dependency>
+        #    <groupId>geronimo</groupId>
+        #    <artifactId>geronimo-util</artifactId>
+        #    <version>${pom.currentVersion}</version>
+        #</dependency>
+        -->
         <dependency>
             <groupId>geronimo</groupId>
             <artifactId>geronimo-web-builder</artifactId>



Mime
View raw message